server:
  port: 8083 
  use-forward-headers: false
  servlet:
    context-path: /uaa
  
spring:
  profiles: default
  application:
    name: auth-server
  datasource:
    url: jdbc:mysql://mysql:3306/oauth2?useSSL=false
    username: root
    password: password
    driver-class-name: com.mysql.jdbc.Driver
    tomcat:
      test-while-idle: true
      validation-query: SELECT 1
    initialization-mode: never
    platform: mysql
  jpa:
    properties:
      hibernate:
        dialect: org.hibernate.dialect.MySQL5Dialect
    hibernate:
      naming:
        physical-strategy: org.springframework.boot.orm.jpa.hibernate.SpringPhysicalNamingStrategy
      ddl-auto: validate
check-user-scopes: true

#SLF4J
logging:
  level:
    ROOT: ERROR
    org.springframework.web: ERROR
    com.teknei.bid: DEBUG
  file:  /var/log/application.log
  pattern:
    console: "%d{yyyy-MM-dd HH:mm:ss} - %msg%n"
    file: "%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n"
    
---
#Configuracion para el Container
spring: 
  profiles: docker
  datasource:
    url: jdbc:mysql://mysql:3306/oauth2?useSSL=false
    username: root
    password: password
    driver-class-name: com.mysql.jdbc.Driver
    tomcat:
      test-while-idle: true
      validation-query: SELECT 1
    initialization-mode: never
    platform: mysql
  jpa:
    properties:
      hibernate:
        dialect: org.hibernate.dialect.MySQL5Dialect
    hibernate:
      naming:
        physical-strategy: org.springframework.boot.orm.jpa.hibernate.SpringPhysicalNamingStrategy
      ddl-auto: validate
check-user-scopes: true

